cancel
Showing results for 
Search instead for 
Did you mean: 
cancel
1856
Views
0
Helpful
15
Replies

LMS 4.0.1, all devices are unknown after device update.

andrea.meconi
Explorer
Explorer

Hello.

After successfully install a device update for Common Services, all devices are reported as unknown.

Number of Packages Selected for Install : 2

For Product(s) : Common Services

Install Invoked by user : ameconi

The Package(s) Selected for Install :

Mdf_NonCisco, Mdf

Successfully installed packages (2):

Mdf(1.64) ,Mdf_NonCisco(1.2)

Installation Completed for : Common Services

Any ideas?

When I try to install other updates these fail because MDF is version 1.59.

Thanks.

Andrea

1 ACCEPTED SOLUTION

Accepted Solutions

Possible, I also received some reports from customer that device package updates are hanging or failing.

Thanks for letting us know.

Cheers,

Michel

View solution in original post

15 REPLIES 15

Michel Hegeraat
Rising star
Rising star

Did you by mistake uninstall some packages? Or something went wrong installing Mdf(1.64).

Due to the inter-package dependecy misery in previous LMS versions I now always install the lot, each available package.

In a number of cases I found when things no longer work in the GUI they still work on cli.

So try to download and install all cmf rme cvw cm and dfm packages using psucli in CSCOpx\bin

psucli /? tells you all you need to know.

Cheers,

Michel

Hello Michel and many thanks for your help.

Usign GUI I have installed the last MDF package without errors or mistakes.

Now any other device update package reports an error about MDF version.

Using CLI I receive a message about already installed.

Regards.

Andrea

Sent from Cisco Technical Support iPad App

So you install Mdf(1.64) and the error you get when trying to install something else is that the Mdf(1.64) dependency is not met because it still sees 1.59 as installed.

I guess you then should try to uninstall Mdf(1.64) or install it again as it is clearly not completely installed

If you are able to uninstall it try to add all other packages so it can't catch you in some any dependency scenario

Cheers,

Michel

Hello Michel.

I'm not able to uninstall this update. I'm going to open a service request.

Thanks.

Regards.

Andrea

Hello Michel.

I'm going to close a service request. TAC provide me the correct DeviceData file. There is some issue on cisco.com and I have downloaded a wrong 2.0 version.

Thanks.

Regards.

Andrea

Possible, I also received some reports from customer that device package updates are hanging or failing.

Thanks for letting us know.

Cheers,

Michel

Hello, I have the same problem but with LMS 4.1 ( but in my case it says i have mdf  version 1.53). Device updates are hanging or failing.

Did you happen to know what is exactly wrong and how to fix it?

Thanks!

As Andrea said, there is an issue on cco, cisco.com where lms tries to download the packages.

I'll post a message where I'm told it is fixed.

Cheers,

Michel

Hello Marija.

In my case, we unistall MDF and DeviceData packages using PSUcli utility. Than Cisco provides the correct files and install using CLI again.

Regards.

Andrea

Sent from Cisco Technical Support iPad App

Thank you both on fast response!

Marija

Hello.

I'm pleased to inform you that the issue has been resolved 2 or 3 days ago.

Regards.

Andrea

Thanks for letting us know!

So now it should be working without need to uninstall MDF?

Regards,Marija

I don't know Marija.

If you install a wrong version I believe you need to remove it.

Try to download and than install using GUI or CLI.

Regards.

Andrea

Hello Andrea

could you please provide the pacckage

Getting Started

Find answers to your questions by entering keywords or phrases in the Search bar above. New here? Use these resources to familiarize yourself with the community: